# Generated by Django 3.2.5 on 2021-07-22 11:31

from django.db import migrations, models



def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Tracking = apps.get_model("manager", "Tracking")
    Shipment = apps.get_model("manager", "Shipment")

    Shipment.objects.using(db_alias)\
        .filter(status='transit')\
        .update(status='in-transit')

    Tracking.objects.using(db_alias)\
        .filter(delivered=True)\
        .update(status='delivered')


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('manager', '0018_auto_20210705_1049'),
    ]

    operations = [
        migrations.AddField(
            model_name='tracking',
            name='status',
            field=models.CharField(choices=[('pending', 'pending'), ('in-transit', 'in-transit'), ('incident', 'incident'), ('delivered', 'delivered')], default='pending', max_length=25),
        ),
        migrations.AlterField(
            model_name='shipment',
            name='status',
            field=models.CharField(choices=[('created', 'created'), ('purchased', 'purchased'), ('cancelled', 'cancelled'), ('shipped', 'shipped'), ('in-transit', 'in-transit'), ('delivered', 'delivered')], default='created', max_length=50),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
