# Generated by Django 3.2.3 on 2021-06-01 03:40

from django.db import migrations


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Shipment = apps.get_model("manager", "Shipment")

    for shipment in Shipment.objects.using(db_alias).all():
        # replace shipment' rate.carrier_ref by rate.meta.carrier_connection_id
        shipment.rates = [
            {
                **{key: val for key, val in rate.items() if key not in ["carrier_ref"]},
                "meta": {
                    **(rate.get("meta") or {}),
                    "carrier_connection_id": rate.get("carrier_ref"),
                },
            }
            for rate in shipment.rates
        ]

        # replace shipment' meta.custom_invoice by meta.invoice
        if shipment.meta is not None:
            meta = shipment.meta
            shipment.meta = {
                **{
                    (key if key != "custom_invoice" else "invoice"): val
                    for key, val in meta.items()
                }
            }

        shipment.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ("manager", "0026_parcel_reference_number"),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
