# Generated by Django 3.2.11 on 2022-03-09 21:55

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Shipment = apps.get_model("manager", "Shipment")

    for shipment in Shipment.objects.using(db_alias).filter(
        meta__invoice__isnull=False
    ):
        shipment.invoice = shipment.meta.get("invoice")
        shipment.meta = {k: v for k, v in shipment.meta.items() if k != "invoice"}
        shipment.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ("manager", "0030_alter_shipment_status"),
    ]

    operations = [
        migrations.AddField(
            model_name="shipment",
            name="invoice",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
