# Generated by Django 3.2.12 on 2022-05-04 13:35

from django.db import migrations, models
import functools
import karrio.server.core.utils


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Shipment = apps.get_model("manager", "Shipment")

    for shipment in Shipment.objects.using(db_alias).filter(
        meta__tracking_identifiers__isnull=False
    ):
        shipment.meta = {
            ("shipment_identifiers" if k == "tracking_identifiers" else k): v
            for k, v in shipment.meta.items()
        }
        shipment.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ("manager", "0032_custom_migration_2022_3"),
    ]

    operations = [
        migrations.AddField(
            model_name="tracking",
            name="meta",
            field=models.JSONField(
                blank=True,
                default=functools.partial(
                    karrio.server.core.utils.identity, *(), **{"value": {}}
                ),
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="tracking",
            name="options",
            field=models.JSONField(
                blank=True,
                default=functools.partial(
                    karrio.server.core.utils.identity, *(), **{"value": {}}
                ),
                null=True,
            ),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
