# Generated by Django 4.1.3 on 2022-12-10 20:13

from django.db import migrations, models
import django.db.models.deletion


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Address = apps.get_model("manager", "Address")
    Customs = apps.get_model("manager", "Customs")
    _customs_infos = []

    for customs in Customs.objects.using(db_alias).filter(duty__bill_to__isnull=False):
        try:
            customs.duty_billing_address = Address.objects.create(
                **customs.duty["bill_to"]
            )
            customs.duty = {k: v for k, v in customs.duty.items() if k != "duty"}
            _customs_infos.append(customs)
        except:
            pass

    if any(_customs_infos):
        Customs.objects.using(db_alias).bulk_update(
            _customs_infos, ["duty", "duty_billing_address"]
        )


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ("manager", "0042_remove_shipment_shipment_tracking_number_idx_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="customs",
            name="duty_billing_address",
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="duty_billing_address_customs",
                to="manager.address",
            ),
        ),
        migrations.AddField(
            model_name="shipment",
            name="billing_address",
            field=models.OneToOneField(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="billing_address_shipment",
                to="manager.address",
            ),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
