# Generated by Django 4.1.7 on 2023-03-03 17:26

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Commodity = apps.get_model("manager", "Commodity")

    commodities = Commodity.objects.using(db_alias).filter(
        models.Q(description__isnull=False) &
        models.Q(title__isnull=True)
    )

    for commodity in commodities:
        commodity.title = commodity.description[:35]

        commodity.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("manager", "0047_remove_shipment_shipment_tracking_number_idx_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="commodity",
            name="title",
            field=models.CharField(blank=True, max_length=35, null=True),
        ),
        migrations.AlterField(
            model_name="commodity",
            name="description",
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name="commodity",
            name="hs_code",
            field=models.CharField(blank=True, db_index=True, max_length=35, null=True),
        ),
        migrations.AlterField(
            model_name="commodity",
            name="sku",
            field=models.CharField(blank=True, db_index=True, max_length=35, null=True),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
